# Created by pyp2rpm-3.3.8
%global pypi_name azure-iot-device
%global srcname azure_iot_device

Name:           python-%{pypi_name}
Version:        2.14.0
Release:        %mkrel 3
Summary:        Microsoft Azure IoT Device Library
Group:          Development/Python
License:        MIT License
URL:            https://github.com/Azure/azure-iot-sdk-python/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
The Azure IoT Device SDK for Python provides functionality for communicating
with the Azure IoT Hub for both Devices and Modules.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The Azure IoT Device SDK for Python provides functionality for communicating
with the Azure IoT Hub for both Devices and Modules.

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files azure

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.14.0-3.mga10
+ Revision: 2237018
- Mageia 10 Mass Rebuild

* Tue Feb 25 2025 wally <wally> 2.14.0-2.mga10
+ Revision: 2152498
- rebuild for python3.13

* Mon Jul 29 2024 wally <wally> 2.14.0-1.mga10
+ Revision: 2082827
- new version 2.14.0

* Sun Jan 21 2024 wally <wally> 2.12.0-4.mga10
+ Revision: 2033351
- use %%pyproject_buildrequires

* Wed Dec 27 2023 papoteur <papoteur> 2.12.0-3.mga10
+ Revision: 2022216
- rebuild again for python 3.12

* Sun Dec 10 2023 wally <wally> 2.12.0-2.mga10
+ Revision: 2016957
- rebuild for py3.12

* Thu Nov 10 2022 wally <wally> 2.12.0-1.mga9
+ Revision: 1905403
- new version 2.12.0

* Sun Sep 18 2022 wally <wally> 2.9.0-1.mga9
+ Revision: 1889805
- imported package python-azure-iot-device

